package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Weapon;

public class Vampire extends Enemy
{

    public Vampire()
    {
        super("Vampire", 50, 25, null);
    }

    public Vampire(Weapon weapon)
    {
        super("Vampire", 50, 25, weapon);
    }

    @Override
    public void attack(Entity target)
    {
        int damage = 18;
        int lifestealAmount = damage / 2;
        System.out.println(getName() + " bites for " + damage + " damage!");
        target.takeDamage(damage);
        int newHp = getHP() + lifestealAmount;
        setHp(newHp);
        System.out.println("HP: " + getHP() + "/" + getMaxHP());
    }
    @Override
    public int getXpReward() {
        return 80;
    }

    @Override
    public String getEnemyType() {
        return "VAMPIRE";
    }

    @Override
    public int getMaxMP() {
        return 0;
    }
}
